使用python-jenkins时HTTP错误503服务不可用-问答-阿里云开发者社区-阿里云

开发者社区> 几许相思几点泪> 正文

使用python-jenkins时HTTP错误503服务不可用

2019-12-22 18:30:56 648 0

我刚接触Python,并尝试使用python-jenkins来打印“ whoami”。我使用Python 3.6和Windows 10

import jenkins
server = jenkins.Jenkins('http://10.1.nn.nnn:8080')
uname = server.get_whoami()

并且错误并显示以下消息。我在日常活动中使用了上述网址

Traceback (most recent call last):
  File "C:\Users\sathishkumar.kailas\AppData\Local\Programs\Python\Python36\lib\site-packages\jenkins\__init__.py", line 793, in get_whoami
    'GET', self._build_url(WHOAMI_URL, locals())
  File "C:\Users\sathishkumar.kailas\AppData\Local\Programs\Python\Python36\lib\site-packages\jenkins\__init__.py", line 556, in jenkins_open
    return self.jenkins_request(req, add_crumb, resolve_auth).text
  File "C:\Users\sathishkumar.kailas\AppData\Local\Programs\Python\Python36\lib\site-packages\jenkins\__init__.py", line 572, in jenkins_request
    self.maybe_add_crumb(req)
  File "C:\Users\sathishkumar.kailas\AppData\Local\Programs\Python\Python36\lib\site-packages\jenkins\__init__.py", line 370, in maybe_add_crumb
    'GET', self._build_url(CRUMB_URL)), add_crumb=False)
  File "C:\Users\sathishkumar.kailas\AppData\Local\Programs\Python\Python36\lib\site-packages\jenkins\__init__.py", line 556, in jenkins_open
    return self.jenkins_request(req, add_crumb, resolve_auth).text
  File "C:\Users\sathishkumar.kailas\AppData\Local\Programs\Python\Python36\lib\site-packages\jenkins\__init__.py", line 575, in jenkins_request
    self._request(req))
  File "C:\Users\sathishkumar.kailas\AppData\Local\Programs\Python\Python36\lib\site-packages\jenkins\__init__.py", line 535, in _response_handler
    response.raise_for_status()
  File "C:\Users\sathishkumar.kailas\AppData\Local\Programs\Python\Python36\lib\site-packages\requests\models.py", line 940, in raise_for_status
    raise HTTPError(http_error_msg, response=self)
requests.exceptions.HTTPError: 503 Server Error: Service Unavailable for url: http://10.1.nn.nnn:8080/crumbIssuer/api/json

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File 
"C:\Users\sathishkumar.kailas\AppData\Local\Programs\Python\Python36\lib\sitepackages\jenkins\__init__.py", line 804, in get_whoami
    % self.server)

我用Google搜索,但无法获得正确的URL来解决此问题

取消 提交回答
全部回答(0)
相关问答

162

回答

惊喜翻倍:免费ECS+免费环境配置~!(ECS免费体验6个月活动3月31日结束)

豆妹 2014-10-29 17:52:21 223066浏览量 回答数 162

22

回答

爬虫数据管理【问答合集】

我是管理员 2018-08-10 16:37:41 146819浏览量 回答数 22

33

回答

Win Server 2003-2016 加密勒索事件必打补丁合集

妙正灰 2017-05-15 10:44:38 277604浏览量 回答数 33

42

回答

【精品问答集锦】Python热门问题

小六码奴 2019-05-30 15:27:34 135644浏览量 回答数 42

38

回答

安全组详解,新手必看教程

我的中国 2017-11-30 15:23:46 256924浏览量 回答数 38

294

回答

Linux Bash严重漏洞修复紧急通知(已全部给出最终修复方案)

qilu 2014-09-25 13:26:50 431660浏览量 回答数 294

82

回答

OSS入门教程

belle.zhoux 2014-07-07 17:14:27 149599浏览量 回答数 82

249

回答

阿里云LNAMP(Linux + Nginx + Apache + MySQL + PHP)环境一键安装脚本

云代维 2014-02-14 15:26:06 302658浏览量 回答数 249

24

回答

【精品问答】python技术1000问(1)

问问小秘 2019-11-15 13:25:00 471626浏览量 回答数 24

23

回答

【精品问答合集】Redis热门问答

李博 bluemind 2019-05-29 16:36:15 126349浏览量 回答数 23
0
文章
505
问答
相关电子书
更多
文娱运维技术
立即下载
《SaaS模式云原生数据仓库应用场景实践》
立即下载
《看见新力量:二》电子书
立即下载